/* 
Customizations by EstudioPatagon Themes: https://estudiopatagon.com - Javier Encalada
Date: September 2026
*/

[data-aos=fade]{
   opacity: 0;
   transform: scale(1.025);
   transition: all 600ms ease;
}
[data-aos=fade-up]{
   opacity: 0;
   transform: translateY(50px);
   transition: all 600ms ease;
}
[data-aos=fade-down]{
   opacity: 0;
   transform: translateY(-50px);
   transition: all 600ms ease;
}
[data-aos=fade-left]{
   opacity: 0;
   transform: translateX(50px);
   transition: all 600ms ease;
}
[data-aos=fade-right]{
   opacity: 0;
   transform: translateX(-50px);
   transition: all 600ms ease;
}
.aos-animate{
   transform: translateY(0px) scale(1);
   opacity: 1;
}
.translate-effect{
    transition: all 0.3s ease;
}
.translate-effect:hover{
    transform: translateY(-3px);
}
.textcenter{
    text-align: center;
}

:root[data-color-scheme="Dark Indigo"] {
    --color-background: #121212 !important;
    --secondary-background: #1C1C1C;
    --footer-background: #0E0E0E;
}

/* Buttons */

.toggledark{
    background: none;
    border: 0;
    padding: 0;
    margin: 0;
    cursor: pointer;
    display: inline-flex;
    justify-content: center;
    align-items: center;
}
.toggledark svg{
    width: 20px;
    height: 20px;
}
.toggledark .is-dark{
    display: inline-flex;
}
.toggledark .is-light{
    display: none;
}
[data-color-scheme="Dark Indigo"] .toggledark .is-light{
    display: inline-flex;
}
[data-color-scheme="Dark Indigo"] .toggledark{
    color: #fff;
}
[data-color-scheme="Dark Indigo"] .toggledark .is-dark{
    display: none;
}

body .c-post-card--horizontal .c-post-card__title,
body .c-post-headline{
    font-weight: 600;
}
body .c-button{
    border-radius: 25px;
    --btn-padding-y: var(--space-8);
}
body .rounded{
    border-radius: 25px;
}

/* Typography */

body .c-post-author__names{
    font-weight: 500;
}

/* Header */

body .c-header{
    box-shadow: none;
    margin-top: 20px;
    margin-bottom: 60px;
    padding: 60px;
    position: relative;
    z-index: 10;
}
.c-header .large-logo{
    display: block;
    width: 100%;
    height: 90%;
    margin: 0 auto;
    background: url("../images/logo-large-black-v2.svg") no-repeat center center;
    background-size: contain;
    position: absolute;
    top: 0;
    left: 0;
    /* transform: translateX(-50%); */
    z-index: -1;
}
body.header-overlay .c-header .large-logo{
    display: none;
}
.c-header .c-header-logo{
    margin-right: 30px;
}
.c-header .c-navigation__item{
    font-size: 17px;
    font-weight: 400;
}

/* Single Post */

body .c-post-actions__center{
    display: none;
}
body .c-post-content p,
body .c-post-content li{
    font-size: 17px;
    line-height: 1.8;
}
body .c-post-content h2,
body .c-post-content h3,
body .c-post-content h4,
body .c-post-content h5{
    margin-top: 48px;
    margin-bottom: 24px;
    font-weight: 700;
    letter-spacing: 0.75px;
}

.home-template .featured-top-grid{
    width: 85%;
    max-width: 1600px;
    margin-bottom: 60px;
}

.c-section-header__title .c-section__link{
    color: var(--color-accent);
}
body .c-tag-column-section__title{
    font-size: 17px;
}

/* Standard Page */

.page-template .c-post-header,
.page-template .c-post-excerpt{
    text-align: center;
}
.page-template .c-post-excerpt{
    margin-top: 10px;
    color: var(--color-text-secondary)
}

/* Top Featured Section */

.featured-top-grid article{
    background: none;
}
.featured-top-grid .c-post-card--horizontal .c-post-card__title{
    font-size: 50px;
}
.featured-top-grid .c-post-card__excerpt{
    padding-top: 10px;
    color: var(--color-text-secondary);
}
.featured-top-grid .c-post-card__meta{
    margin-top: 30px;
}
.featured-top-grid .c-post-card__excerpt p{
    font-size: 18px;
}

@media (min-width: 61.25em) {
    .featured-top-grid .c-post-card--horizontal .c-post-card__media {
        grid-column: 12 / -1;
    }
    .page-template .c-post-headline {
        font-weight: 700;
        letter-spacing: 0.75px;
    }
}
    

/* Editor's Pick */

.c-editors-pick-section article.c-post-card--horizontal{
    background: #074dd2;
    color: #fff;
}

/* Video Section */

.c-video-section .c-video-section__wrapper{
    background: #b600b6;
}

/* Footer */

.flex{
    display: flex;
}
.subscribe-footer{
    padding: 80px 0;
    border-top: 2px solid var(--secondary-background);
    background: var(--color-background);
}
.subscribe-footer .title{
    font-size: 50px;
    font-weight: 700;
    text-align: center;
    margin: 0 auto 60px;
    max-width: 750px;
    line-height: 1.2;
}
.subscribe-footer .flex{
    
}
.subscribe-footer .left{
    width: 55%;
    padding-right: 50px;
    color: var(--color-text-secondary)
}
.subscribe-footer .left .subscribe-form{
    text-align: center;
}
.subscribe-footer .right{
    width: 45%;
}
.subscribe-footer .right .testimonials{
    margin-top: 0;
}
body .c-footer{
    background: var(--footer-background);
}

/* Sign In */

.custom-signin{
    text-align: center;
}
.custom-signin .c-post-excerpt{
    color: var(--color-text-secondary);
}

.subscribe-form{
    margin-top: 60px;
}
.subscribe-form .error-detail,
.subscribe-form .success-message{
    font-size: 16px;
    margin-top: 20px;
    font-weight: bold;
    opacity: 0;
    padding: 0;
    height: 0;
    color: var(--color-text);
}
.subscribe-form.success .success-message,
.subscribe-form.error .error-detail{
    height: auto;
    opacity: 1;
    margin-bottom: 15px;
}
.subscribe-form .info{
    color: var(--color-text-secondary);
    font-size: 90%;
    margin-top: 20px;
}
.subscribe-form .info a{
    color: var(--color-accent);
}

.subscribe-form.loading .loader{
    content: "";
    display: inline-block;
    position: relative;
    height: 10px;
    width: 10px;
    border: 2px solid #121212;
    border-radius: 100%;
    border-right-color: transparent;
    border-top-color: transparent;
    animation: spin .5s infinite linear;
    z-index: 10;
    margin-left: 10px;
}
.subscribe-form.loading .submit{
    pointer-events: none;
}

.inputbox{
    border-radius: 25px;
    border: 0;
    padding: 15px 25px;
    color: var(--color-text-secondary);
    background: var(--secondary-background);
    transition: border-color 0.3s ease;
    outline: none !important;

}
.inputbox:focus{
  
}
.inputbox::placeholder{
    color: var(--color-text-secondary);
}


/* Custom Subscribe Page */

.page-subscribe .c-header,
.page-subscribe .c-footer,
.page-subscribe .subscribe-footer{
    display: none;
}
.custom-subscribe .back-to-home{
    position: absolute;
    top: 20px;
    right: 20px;
}
.custom-subscribe .back-to-home svg{
    margin-left: 5px;
    margin-top: -2px;
    vertical-align: middle;
}
.custom-subscribe .back-to-home:hover{
    text-decoration: underline;
}
.page-subscribe .custom-subscribe{
    padding-inline: 0;
    text-align: center;
    display: flex;
    min-height: 100vh;
    /* align-items: flex-start; */
    padding-bottom: 0;
    /* padding: 5% 0; */
}
.custom-subscribe .left-column{
    width: 45%;
    height: 100vh;
    position: sticky;
    top: 0;
}
.custom-subscribe .right-column{
    width: 55%;
    padding: 60px 60px 0;
    box-sizing: border-box;
    display: flex;
}
.custom-subscribe .right-column .full-logo{
    width: 300px;
    max-width: 70%;
    margin: 0 auto 30px;
    color: var(--color-accent)
}
.custom-subscribe .right-column .content{
    margin-top: auto;
    margin-bottom: auto;
}
.custom-subscribe .right-column .info{
    max-width: 500px;
    margin-left: auto;
    margin-right: auto;
}
.custom-subscribe .right-column .info b{
    /* color: #fff; */
}

/* Testimonials */
/* Remove testimonials */
.subscribe-footer .right,
.testimonials{
    display: none;
} 
.subscribe-footer .left{
    padding-right: 0;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
}

.testimonials{
    background: var(--secondary-background);
    color: var(--color-text-secondary);
    margin-top: 60px;
}
.testimonials .item{
    display: flex;
    text-align: left;
    padding: 50px;
    max-width: 700px;
    box-sizing: border-box;
    font-style: italic;
    margin: 0 auto;
}
.testimonials .item .avatar{
    min-width: 80px;
    min-height: 80px;
    width: 80px;
    height: 80px;
    border-radius: 40px;
    margin-right: 30px;
}
.testimonials .item .author{
    display: flex;
    color: var(--color-text);
    font-size: 90%;
    margin-top: 20px;
}
.testimonials .item .author .stars{
    margin-left: 15px;
}

/* Authors Archive */

.authors-list{
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
    margin-top: 160px;
}
.authors-list .item{
    background: var(--secondary-background);
    padding: 0 30px 30px;
    text-align: center;
    color: var(--color-text-secondary);
    margin-bottom: 60px;
}
.authors-list .item.no-profile-image .top-info{
    padding-top: 80px;
}
.authors-list .item .profile-image{
    display: block;
    width: 130px;
    height: 130px;
    border-radius: 75px;
    margin: -65px auto 20px;
    overflow: hidden;
    box-shadow: 0 3px 15px 0 rgba(0, 0, 0, 0.2);
}
.authors-list .item .title{
    color: var(--color-text);
}
.authors-list .item .title a:hover{
    text-decoration: underline;
}
.authors-list .item .location{
    font-size: 85%;
}
.authors-list .item .bio{
    margin: 20px 0;
    font-size: 15px;
}
.authors-list .item .c-button{
    font-size: 14px;
}
.authors-list .item .c-author-header__links{
    text-align: center;
    justify-content: center;
    margin-bottom: 30px;
}
.authors-list .item .c-author-header__link{
    height: 16px;
}

/* Popup */

#popup{
    position: fixed;
    top: 0;
    left: 0;
    padding: 30px;
    width: 100%;
    height: 100vh;
    background: rgba(0, 0, 0, 0.25);
    backdrop-filter: blur(16px);
    z-index: -1;
    transform: scale(1.1);
    display: flex;
    overflow-y: auto;
    opacity: 0;
    visibility: hidden;
    transition: all 0.3s ease; 
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
}
#popup.active{
    z-index: 999;
    opacity: 1;
    visibility: visible;
    transform: scale(1) translateY(0);
}
body.popup-active{
    overflow: hidden;
}
/* #popup:after{
    content: "";
    position: absolute;
    top: 30px;
    left: 30px;
    right: 30px;
    bottom: 30px;
    background: #000;
    z-index: 1;
} */
#popup .close{
    position: absolute;
    right: 20px;
    top: 20px;
    background: none;
    color: var(--color-text);
    border: none;
    cursor: pointer;
    z-index: 3;
}
#popup .close:hover{
    text-decoration: underline;
}
#popup .close svg{
    width: 12px;
    height: 12px;
    vertical-align: middle;
    margin-top: -2px;
}
#popup .title{
    margin-bottom: 5px;
}
#popup .title svg{
    color: var(--color-accent);
    vertical-align: middle;
    margin-left: 15px;
}
#popup .site-description{
    color: var(--color-text-secondary);
    text-align: center;
    margin-bottom: 60px;
}
#popup .subscribe-footer{
    background: var(--footer-background);
    border: 0;
    position: relative;
    z-index: 10;
    max-width: 1400px;
    margin: auto auto;   
    box-shadow: 0 3px 15px 0 rgba(255,255,255, 0.03);    
}
#popup .subscribe-footer .left{
    text-align: center;
}
#popup .subscribe-footer .title.medium{
    font-size: 34px;
    color: var(--color-text);
    margin-bottom: 30px;
}

/* Membership Page */

.membership-page .choose-plan{
    text-align: center;
    margin-bottom: 60px;
}
.membership-page .choose-plan{
    margin-top: 60px;
}
.membership-page .choose-plan .title{
    display: inline-block;
    vertical-align: middle;
    font-size: 16px;
}
.membership-page .epcl-switch {
    text-align: center;
    position: relative;
    z-index: 2;
    display: inline-block;
    width: 280px;
    padding: 15px 0px;
    border-radius: 50px;
    font-size: 20px;
    background: var(--secondary-background);
    vertical-align: middle;
    margin-left: 15px;
}
.membership-page .epcl-switch:before {
    content: "";
    position: absolute;
    left: 5px;
    top: 5px;
    bottom: 5px;
    width: 50%;
    background: var(--color-accent);
    border-radius: 50px;
    z-index: -1;
    -webkit-transition: all 300ms ease;
    transition: all 300ms ease;
}
.membership-page .epcl-switch button {
    background: none;
    text-align: center;
    width: 50%;
    font-size: 15px;
    font-weight: 600;
    color: var(--color-background);
    background: None;
    border: 0;
    float: left;
    cursor: pointer;
}
.membership-page .epcl-plans{
    flex-flow: row wrap;
}
.membership-page .epcl-plan{
    width: 50%;
    margin-top: 30px;
}
.membership-page .subscribe-plan{
    margin: 0 20px 30px;
    padding: 40px;
    background: var(--secondary-background);
    color: var(--color-text-secondary);
    position: relative;
}
.membership-page .subscribe-plan .plan-name{
    align-items: center;
    height: 75px;
}
.membership-page .subscribe-plan .plan-name .epcl-price{
    display: none;
    font-size: 46px;
    font-weight: 700;
    color: var(--color-text);
    margin-left: auto;
}
.membership-page .subscribe-plan .plan-name .epcl-price small{
    font-size: 35%;
    vertical-align: middle;
    margin-right: 3px;
}
.membership-page .subscribe-plan .free-trial{
    position: absolute;
    bottom: 100%;
    right: 0px;
    z-index: 2;
    margin-bottom: 5px;
    color: var(--color-text);
    font-weight: 600;
    font-size: 13px;
}
.membership-page .subscribe-plan .title{
    color: var(--color-text);
    font-size: 26px;
    font-weight: 700;
}
.membership-page .subscribe-plan .description{
    text-align: center;
    color: var(--color-text);
    margin-bottom: 10px;
}
.membership-page .subscribe-plan ul li{
    margin-top: 15px;
    /* font-size: 1px; */
}
.membership-page .subscribe-plan .c-button{
    margin-top: 30px;
}
.membership-page .account{
    margin-bottom: 30px;
}
.membership-page .account a{
    color: var(--color-accent);
}
.membership-page .account a:hover{
    text-decoration: underline;
}

.membership-page .epcl-switch[data-active-price=yearly]:before {
    transform: translateX(94%);
}
.membership-page .epcl-switch[data-active-price=monthly] button[data-price=yearly],
.membership-page .epcl-switch[data-active-price=yearly] button[data-price=monthly]{
    color: var(--color-text);
    font-weight: 400;
}

.membership-page .epcl-plans .epcl-pay-button{
    display: none;
}

.membership-page .epcl-plans[data-active-price=yearly] .epcl-pay-button[data-price=yearly],
.membership-page .epcl-plans[data-active-price=monthly] .epcl-pay-button[data-price=monthly]{
    display: inline-block;
}
.membership-page .epcl-plans[data-active-price=yearly] .epcl-pay-button[data-price=yearly]{
    display: inline-block;
}

.membership-page .epcl-plans[data-active-price=yearly] .epcl-price[data-price=yearly],
.membership-page .epcl-plans[data-active-price=monthly] .epcl-price[data-price=monthly]{
    display: block;
}

/* About */

.kg-layout-split .kg-header-card-image{
    padding-left: 35px;
    padding-right: 35px;
}
.page-about-the-stack .kg-layout-split .kg-header-card-image{
    max-width: 400px;
    /* min-width: 200px; */
    /* box-sizing: content-box; */
}
.page-about-the-stack .kg-width-full.kg-layout-split .kg-header-card-text, .page-about-the-stack .kg-width-full:not(.kg-layout-split) .kg-header-card-text{
    padding-top: var(--space-responsive-80);
    padding-bottom: var(--space-responsive-80);
}
.page-about-the-stack .kg-width-full.kg-layout-split .kg-header-card-heading{
    font-size: 36px;
}

/* .kg-layout-split:not(.kg-content-wide) .kg-header-card-image{
    background-size: contain !important;
} */
/* .page-about-the-stack .kg-layout-split .kg-header-card-image{
    max-width: 250px;
    min-width: 200px;
    box-sizing: content-box;
}
.kg-layout-split.kg-content-wide picture {
    padding-right: min(4vmax, 80px);
}
.kg-layout-split.kg-content-wide.kg-swapped picture {
    padding-left: min(4vmax, 80px);
} */

/* Fading Content */

.fading-content{
    position: relative;
}
.fading-content:after {
    content: '';
    position: absolute;
    right: 0;
    bottom: 0;
    left: 0;
    height: 35vh;
    background: linear-gradient(transparent, var(--color-background) 93%);
}

/* Light Mode Customizations */

[data-color-scheme="light"]{
    --color-accent: #367BFB;
    --btn-text: #fff;
    --color-text: #1A1A1A;
    --color-background: #F8F8F2 !important;
    --secondary-background: #F3F3ED;
    --footer-background: #F3F3ED;
}
[data-color-scheme="light"] .c-header .large-logo{
    opacity: 0.075;
}
[data-color-scheme="light"] .inputbox{
    background:#fff;
}
[data-color-scheme="light"] .c-button{
    --btn-text: #fff;
}
[data-color-scheme="light"] .c-button--secondary{
    --btn-text: #1A1A1A;
}
[data-color-scheme="light"] .c-footer{
  
}

[data-color-scheme="light"] .custom-subscribe .right-column .full-logo{
    color: var(--color-text);
}

[data-color-scheme="light"] .c-editors-pick-section article.c-post-card--horizontal{
    background: #CDDFFF;
    color: var(--color-text);
}
[data-color-scheme="light"] .c-video-section .c-video-section__wrapper{
    background: #D9B3FF;
    color: var(--color-text);
}

[data-color-scheme="light"] .testimonials{
    background: rgba(0, 0, 0, 0.025);
}

@media screen and (max-width: 1023px){
    .c-header .c-navigation{
        display: none;
    }
    .kg-layout-split .kg-header-card-content{
        display: block !important;
    }
}

@media screen and (min-width: 768px) and (max-width: 1024px){
    .hide-on-tablet{
        display: none;
    }
    .custom-subscribe .c-post-headline{
        font-size: 30px;
    }
    .custom-subscribe .left-column{
        width: 40%;
    }
    .custom-subscribe .right-column{
        width: 60%;
        padding: 60px 30px 0;
    }
    /* Home */

    .home-template .featured-top-grid{
        width: auto;
    }
    .featured-top-grid .c-post-card--horizontal .c-post-card__title{
        font-size: 40px;
    }

    .subscribe-footer .left{
        width: 40%;
        padding-right: 25px;
    }
    .subscribe-footer .right{
        width: 60%;
    }
    .subscribe-footer .subscribe-form{
        margin-top: 20px;
    }
    .subscribe-footer .subscribe-form .c-button{
        margin-top: 20px;
    }

    /* Popup */

    #popup .title{
        font-size: 40px;
    }
    #popup .title svg{
        max-width: 250px;
    }
    #popup .subscribe-footer .left{
        width: auto;
    }
    #popup .subscribe-footer .title.medium{
        font-size: 24px;
    }
    #popup .subscribe-footer .right{
        width: auto;
        margin-top: 20px;
    }
    #popup .testimonials .item {
        display: block;
        text-align: center;
        padding: 20px;
    }
    #popup .testimonials .item .avatar{
        margin: 0 auto 20px;
    }
    #popup .testimonials .item .author .stars svg{
        width: 75px;
    }
}
@media screen and (max-width: 767px){
    .hide-on-mobile{
        display: none;
    }

    /* Header */

    body .c-header{
        padding: 0;
    }
    .c-header .large-logo{
        height: 115%;
    }

    /* Home */

    .home-template .featured-top-grid{
        width: auto;
        margin-bottom: 20px;
    }
    .featured-top-grid .c-post-card--horizontal .c-post-card__title{
        font-size: 30px;
    }
    .featured-top-grid .c-post-card__excerpt p{
        font-size: 14px;
    }
    .featured-top-grid .c-post-card__meta{
        margin-top: 0px;
    }

    /* Popup */

    #popup{
        padding: 20px;
    }
    #popup .subscribe-footer{
        padding: 50px 15px 25px;
    }
    #popup .title.large{ font-size: 24px; }
    #popup .title svg{ max-width: 175px; display: block; margin: 0 auto; }
    #popup .site-description{
        margin-bottom: 30px;
    }
    #popup .subscribe-footer .title.medium{
        font-size: 20px;
        margin-bottom: 20px;
    }

    /* About */

    .page-about-the-stack .kg-width-full.kg-layout-split .kg-header-card-heading{
        margin-top: 10px;
    }
    .page-about-the-stack .kg-width-full.kg-layout-split .kg-header-card-text,
    .page-about-the-stack .kg-width-full:not(.kg-layout-split) .kg-header-card-text{
        padding-left: 20px;
        padding-right: 20px;
    }

    /* Footer */

    .subscribe-footer{
        padding: 40px 0;
        text-align: center;
        font-size: 14px;
    }
    .subscribe-footer .title{
        font-size: 30px;
        margin-bottom: 20px;
    }
    .subscribe-footer .subscribe-form{
        margin-top: 20px;
    }
    .subscribe-footer .subscribe-form .c-button{
        margin-top: 20px;
    }
    .subscribe-footer .flex{
        flex-direction: column;
        align-items: center;
    }
    .subscribe-footer .left{
        width: 100%;
        padding-right: 0;
    }
    .subscribe-footer .right{
        width: auto;
        margin-top: 20px;
    }
    .c-footer__logo svg{
        max-width: 75%;
    }

    /* Custom Subscribe Page */    
    .custom-signin .subscribe-form .submit{
        margin-top: 20px;
    }
    .custom-subscribe .left-column{
        display: none;
    }
    .custom-subscribe .right-column{
        width: 100%;
        padding: 70px 20px 0;
        display: block;
    }
    .custom-subscribe .c-post-headline{
        font-size: 24px;
    }
    .custom-subscribe .testimonials{
        margin-bottom: 30px;
    }

    .testimonials .item{
        padding: 25px;
        font-size: 14px;
    }
    .testimonials .item .avatar{
        margin-right: 20px;
    }

    /* Authors Archive */
    
    .authors-list{
        grid-template-columns: repeat(1, 1fr);
        /* gap: 20px; */
        margin-top: 120px;
    }
    .authors-list .item{
        margin-bottom: 80px;
    }
    .authors-list .item.no-profile-image .top-info{
        padding-top: 30px;
    }

    /* Membership Page */

    .membership-page .choose-plan{
        margin: 30px 0;
    }
    .membership-page .choose-plan .title{
        display: block;
        margin-bottom: 15px;
    }
    .membership-page .epcl-plan{
        width: 100%;
    }
}